## WebKitDOMHTMLUListElement WebKitDOMHTMLUListElement |

## Functions

gboolean | webkit_dom_html_u_list_element_get_compact ()
void | webkit_dom_html_u_list_element_set_compact ()
gchar * | webkit_dom_html_u_list_element_get_type_attr ()
void | webkit_dom_html_u_list_element_set_type_attr ()

## Properties

gboolean | compact | Read / Write
char * | type | Read / Write

## Types and Values

struct | WebKitDOMHTMLUListElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLUListElement

## Implemented Interfaces

WebKitDOMHTMLUListElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_u_list_element_get_compact ()

    gboolean
    webkit_dom_html_u_list_element_get_compact
                                   (WebKitDOMHTMLUListElement *self);

`webkit_dom_html_u_list_element_get_compact` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLUListElement |

#### Returns

A gboolean

### webkit_dom_html_u_list_element_set_compact ()

    void
    webkit_dom_html_u_list_element_set_compact
                                   (WebKitDOMHTMLUListElement *self,
                                    gboolean value);

`webkit_dom_html_u_list_element_set_compact` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLUListElement |
value | A gboolean |

### webkit_dom_html_u_list_element_get_type_attr ()

    gchar *
    webkit_dom_html_u_list_element_get_type_attr
                                   (WebKitDOMHTMLUListElement *self);

`webkit_dom_html_u_list_element_get_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLUListElement |

#### Returns

A gchar

### webkit_dom_html_u_list_element_set_type_attr ()

    void
    webkit_dom_html_u_list_element_set_type_attr
                                   (WebKitDOMHTMLUListElement *self,
                                    const gchar *value);

`webkit_dom_html_u_list_element_set_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLUListElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLUListElement

    struct WebKitDOMHTMLUListElement;

## Property Details

### The `“compact”` property

      “compact”                  gboolean

read-write gboolean HTMLUListElement:compact.

Owner: WebKitDOMHTMLUListElement

Flags: Read / Write

Default value: FALSE

### The `“type”` property

      “type”                     char *

read-write gchar* HTMLUListElement:type.

Owner: WebKitDOMHTMLUListElement

Flags: Read / Write

Default value: ""